package com.backendsys.modules.ai.media.entity;

/**
 * 任务状态 枚举
 */
public enum JobStatusEnums {
    ;
    private String value;
    JobStatusEnums(String value) {
        this.value = value;
    }

    // 任务状态 (0任务排队中，1任务完成，3任务执行中)
    public static String jobStatusToLabel(int value) {
        switch (value) {
            case 0: return "任务排队中";
            case 1: return "任务完成";
            case 3: return "任务执行中";
            default: throw new IllegalArgumentException("Invalid code: " + value);
        }
    }
}
